org.apache.storm.messaging.netty

## Class BackPressureStatus

- java.lang.Object
- - org.apache.storm.messaging.netty.BackPressureStatus

-     public class BackPressureStatus
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Collection<Integer>` | `bpTasks`
    `long` | `id`
    `static short` | `IDENTIFIER`
    `Collection<Integer>` | `nonBpTasks`
    `String` | `workerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackPressureStatus()`
    `BackPressureStatus(String workerId, Collection<Integer> bpTasks, Collection<Integer> nonBpTasks)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.storm.shade.io.netty.buffer.ByteBuf` | `buffer(org.apache.storm.shade.io.netty.buffer.ByteBufAllocator alloc, KryoValuesSerializer ser)` Encoded as -600 … short(2) len … int(4) payload … byte[] *
    `static BackPressureStatus` | `read(byte[] bytes, KryoValuesDeserializer deserializer)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IDENTIFIER

          public static final short IDENTIFIER

      See Also:
        Constant Field Values

    - #### id

          public final long id

    - #### workerId

          public String workerId

    - #### bpTasks

          public Collection<Integer> bpTasks

    - #### nonBpTasks

          public Collection<Integer> nonBpTasks

  - ### Constructor Detail

    - #### BackPressureStatus

          public BackPressureStatus()

    - #### BackPressureStatus

          public BackPressureStatus(String workerId,
                                    Collection<Integer> bpTasks,
                                    Collection<Integer> nonBpTasks)

      Constructor.

  - ### Method Detail

    - #### read

          public static BackPressureStatus read(byte[] bytes,
                                                KryoValuesDeserializer deserializer)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### buffer

          public org.apache.storm.shade.io.netty.buffer.ByteBuf buffer(org.apache.storm.shade.io.netty.buffer.ByteBufAllocator alloc,
                                                                       KryoValuesSerializer ser)
                                                                throws IOException

      Encoded as -600 … short(2) len … int(4) payload … byte[] *

      Throws:
        `IOException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.